## python-uefivars 1.2

=== requirements.txt ===
google_crc32c
deepdiff

## python-uefivars 1.0.0

=== debian/changelog ===
python-uefivars (1.0.0-0ubuntu2~22.04) jammy; urgency=medium

  * Cherry-pick edk2 firmware volume (de)serialization fixes (LP #2051348)
  * Backport to jammy for ubuntu-boot-test (LP: #2129017)

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 12 Feb 2024 14:16:09 +0000

python-uefivars (1.0.0-0ubuntu1) noble; urgency=medium

  * Initial upload. (LP: #2044086)

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 19 Oct 2023 11:28:09 +0100

=== debian/control ===
Source: python-uefivars
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: misc
Priority: optional
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               python3-crc32c,
               help2man

Package: python3-pyuefivars
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Provides: python3-uefivars (= ${binary:Version})
Description: Python uefivars (Python 3)
 Python package and helper tool to analyze, convert and modify UEFI variable
 stores.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = uefivars
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	help2man \
		--name "helper tool to analyze, convert and modify UEFI variable stores" \
		./uefivars.py --version-string "$(DEB_VERSION)" \
		--no-discard-stderr > debian/uefivars.py.1
	dh_auto_build


override_dh_auto_install:
	mkdir -p debian/python3-pyuefivars/usr/share/man/man1/
	mv debian/uefivars.py.1 debian/python3-pyuefivars/usr/share/man/man1/
	dh_auto_install

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com/awslabs/python-uefivars/tags .*/v?(\d\S+)\.tar\.gz

## python-uefivars 1.2

=== debian/changelog ===
python-uefivars (1.2-0ubuntu1) oracular; urgency=medium

  * New upstream version 1.2 (LP: #2069940)
  * Drop patches now included upstream

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 20 Jun 2024 10:36:11 +0100

python-uefivars (1.0.0-0ubuntu2) noble; urgency=medium

  * Cherry-pick edk2 firmware volume (de)serialization fixes (LP: #2051348)

 -- Mate Kukri <mate.kukri@canonical.com>  Mon, 12 Feb 2024 14:16:09 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
+               python3-deepdiff,
                python3-setuptools,
                python3-crc32c,
                help2man

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = uefivars
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	help2man \
		--name "helper tool to analyze, convert and modify UEFI variable stores" \
		./uefivars --version-string "$(DEB_VERSION)" \
		--no-discard-stderr > debian/uefivars.1
	dh_auto_build


override_dh_auto_install:
	dh_installman debian/uefivars.1
	dh_auto_install
